Web lists-archives.com

Re: Autodetection of packages that need visibility annotations




On Wed, May 16, 2018 at 2:32 AM, Paul Wise <pabs@xxxxxxxxxx> wrote:
> The 'adequate' tool does some of that:
>
> missing-symbol-version-information
> symbol-size-mismatch
> undefined-symbol
>
> https://packages.debian.org/unstable/adequate

Thanks, that's a nice one (what a relief to read Perl rather than Python).

My work was different in that I had to scan all existing ELFs (in all
50K packages) which implies usage of database, parallel processing of
packages, etc.

-Y